<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>digital.laboratory.platform</groupId>
        <artifactId>DigitalLaboratoryPlatform</artifactId>
        <version>2022.10.11-snapshots</version>
    </parent>

    <artifactId>dlp-entrustment</artifactId>
    <packaging>jar</packaging>

    <description>送检受理</description>

    <properties>
        <dlp.version>2022.10.11-snapshots</dlp.version>
        <cloud.alibaba.version>2021.1</cloud.alibaba.version>
        <fastexcel.version>1.0.0</fastexcel.version>
    </properties>

    <dependencies>
        <!--注册中心客户端-->
        <!-- https://mvnrepository.com/artifact/com.alibaba.cloud/spring-cloud-starter-alibaba-nacos-discovery -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
            <version>${cloud.alibaba.version}</version>
        </dependency>

        <!--配置中心客户端-->
        <!-- https://mvnrepository.com/artifact/com.alibaba.cloud/spring-cloud-starter-alibaba-nacos-config -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
            <version>${cloud.alibaba.version}</version>
        </dependency>

<!--     Spring StateMachine 的依赖   -->
        <dependency>
            <groupId>org.springframework.statemachine</groupId>
            <artifactId>spring-statemachine-core</artifactId>
            <version>3.1.0</version>
        </dependency>

        <!-- swagger -->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-swagger</artifactId>
        </dependency>

        <!--断路器依赖-->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-feign</artifactId>
            <version>${dlp.version}</version>
        </dependency>

        <!--security-->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-security</artifactId>
            <version>${dlp.version}</version>
        </dependency>
        <!--JDBC相关-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-jdbc</artifactId>
        </dependency>

        <!-- 数据库 mysql依赖 -->
        <!-- https://mvnrepository.com/artifact/mysql/mysql-connector-java -->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>${mysql-connector-java.version}</version>
        </dependency>
        <!--undertow容器-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-undertow</artifactId>
        </dependency>
        <!-- log -->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-log</artifactId>
            <version>${dlp.version}</version>
        </dependency>
        <!-- 业务数据的依赖 -->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-admin-api</artifactId>
            <version>${dlp.version}</version>
        </dependency>
        <!--		污水系统api-->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-sewage-api</artifactId>
            <version>${dlp.version}</version>
        </dependency>

        <!--		第三方系统集成api工具类-->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-othersys-api</artifactId>
            <version>${dlp.version}</version>
        </dependency>

        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-oss</artifactId>
            <version>${dlp.version}</version>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-remote-word2pdf</artifactId>
            <version>${dlp.version}</version>
            <scope>compile</scope>
        </dependency>

        <!-- https://mvnrepository.com/artifact/cglib/cglib-nodep -->
        <!-- 主要使用 beanToMap -->
        <!--		<dependency>-->
        <!--			<groupId>cglib</groupId>-->
        <!--			<artifactId>cglib-nodep</artifactId>-->
        <!--			<version>3.3.0</version>-->
        <!--		</dependency>-->

        <!-- poi-tl word 模板处理器 http://deepoove.com/poi-tl -->
        <dependency>
            <groupId>com.deepoove</groupId>
            <artifactId>poi-tl</artifactId>
            <version>1.12.0</version>
        </dependency>
        <!-- Spring EL表达式作为模板处理语言 -->
        <!--		<dependency>-->
        <!--			<groupId>org.springframework</groupId>-->
        <!--			<artifactId>spring-expression</artifactId>-->
        <!--			<version>5.3.18</version>-->
        <!--		</dependency>-->
        <!-- https://mvnrepository.com/artifact/commons-io/commons-io -->
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>2.11.0</version>
        </dependency>

        <!--		<dependency>-->
        <!--			<groupId>fr.opensagres.xdocreport</groupId>-->
        <!--			<artifactId>fr.opensagres.poi.xwpf.converter.pdf-gae</artifactId>-->
        <!--			<version>2.0.3</version>-->
        <!--		</dependency>-->

        <!-- mybatis 字段类型处理器TypeHandler -->
        <!--		<dependency>-->
        <!--			<groupId>com.fasterxml.jackson.datatype</groupId>-->
        <!--			<artifactId>jackson-datatype-jsr310</artifactId>-->
        <!--			<version>2.12.5</version>-->
        <!--		</dependency>-->
        <!-- fastjson -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.9</version>
        </dependency>

        <!-- 模板引擎: 生成打印标签 -->
        <dependency>
            <artifactId>velocity</artifactId>
            <groupId>org.apache.velocity</groupId>
            <version>${velocity.version}</version>
        </dependency>

        <!-- for MockMultipartFile-->
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-test</artifactId>
        </dependency>

        <!-- seata分布式事务-->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-seata</artifactId>
            <version>${dlp.version}</version>
        </dependency>

        <!--加入aop 注解模块-->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-aop</artifactId>
            <version>2022.10.11-snapshots</version>
        </dependency>

    </dependencies>


    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <compilerArgument>-Xlint:unchecked</compilerArgument>
                </configuration>
                <version>3.8.1</version>
            </plugin>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>io.fabric8</groupId>
                <artifactId>docker-maven-plugin</artifactId>
            </plugin>

            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>build-helper-maven-plugin</artifactId>
                <version>3.0.0</version>
                <executions>
                    <execution>
                        <id>timestamp-property</id>
                        <goals>
                            <goal>timestamp-property</goal>
                        </goals>
                        <configuration>
                            <name>timestamp</name>
                            <pattern>yyyy-MM-dd HH:mm:ss</pattern>
                            <locale>zh_CN</locale>
                            <timeZone>Asia/Shanghai</timeZone>
                        </configuration>
                    </execution>
                </executions>
            </plugin>


            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <version>3.1.0</version>
                <executions>
                    <execution>
                        <id>copy-resource-one</id>
                        <phase>install</phase>
                        <goals>
                            <goal>copy-resources</goal>
                        </goals>
                        <configuration>
                            <outputDirectory>${basedir}/../../out</outputDirectory>
                            <resources>
                                <resource>
                                    <directory>${basedir}/target</directory>
                                    <includes>
                                        <include>${project.artifactId}.jar</include>
                                    </includes>
                                </resource>
                            </resources>
                        </configuration>
                    </execution>
                </executions>
            </plugin>

        </plugins>
    </build>

</project>
